Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ScheduledListenerDocument.ScheduledListener

All Superinterfaces:
  AbstractScheduledListener, Listener, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ScheduledListenerDocumentImpl.ScheduledListenerImpl

Enclosing interface:
  ScheduledListenerDocument

    public static interface ScheduledListenerDocument.ScheduledListener

extends AbstractScheduledListener

An XML scheduled-listener(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `ScheduledListenerDocument.ScheduledListener.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getEventProcessor()` Gets the "event-processor" attribute
`boolean` | `getTransacted()` Gets the "transacted" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`void` | `setEventProcessor(java.lang.String eventProcessor)` Sets the "event-processor" attribute
`void` | `setTransacted(boolean transacted)` Sets the "transacted" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetEventProcessor()` Gets (as xml) the "event-processor" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`void` | `xsetEventProcessor(org.apache.xmlbeans.XmlString eventProcessor)` Sets (as xml) the "event-processor" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)` Sets (as xml) the "transacted" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.AbstractScheduledListener
`getPollFrequencySeconds, getScheduleFrequency, getScheduleidref, isSetPollFrequencySeconds, isSetScheduleFrequency, isSetScheduleidref, setPollFrequencySeconds, setScheduleFrequency, setScheduleidref, unsetPollFrequencySeconds, unsetScheduleFrequency, unsetScheduleidref, xgetPollFrequencySeconds, xgetScheduleFrequency, xgetScheduleidref, xsetPollFrequencySeconds, xsetScheduleFrequency, xsetScheduleidref`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Listener
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getEventProcessor

    java.lang.String getEventProcessor()

  Gets the "event-processor" attribute

### xgetEventProcessor

    org.apache.xmlbeans.XmlString xgetEventProcessor()

  Gets (as xml) the "event-processor" attribute

### setEventProcessor

    void setEventProcessor(java.lang.String eventProcessor)

  Sets the "event-processor" attribute

### xsetEventProcessor

    void xsetEventProcessor(org.apache.xmlbeans.XmlString eventProcessor)

  Sets (as xml) the "event-processor" attribute

### getTransacted

    boolean getTransacted()

  Gets the "transacted" attribute

### xgetTransacted

    org.apache.xmlbeans.XmlBoolean xgetTransacted()

  Gets (as xml) the "transacted" attribute

### isSetTransacted

    boolean isSetTransacted()

  True if has "transacted" attribute

### setTransacted

    void setTransacted(boolean transacted)

  Sets the "transacted" attribute

### xsetTransacted

    void xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)

  Sets (as xml) the "transacted" attribute

### unsetTransacted

    void unsetTransacted()

  Unsets the "transacted" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD